#!/usr/bin/env python
import serial
import time
import datetime


def totimestamp(d):
        """Convert a datetime into a timestamp.
        Gets rid of daylight saving adjustments"""
        if d is None:
                return None
        else:
                t = list(d.timetuple())
                t[-1] = 0
                return int(time.mktime(tuple(t)))


nowtime = datetime.datetime.utcnow()

print totimestamp(nowtime)

serial_port = serial.Serial("/dev/probe", 9600,timeout=0.25);

def rtcset(probe, epoch):
	cmd ="rtcset %d %s\r" % (probe, epoch)
	serial_port.write(cmd)
	resp = serial_port.readlines(None)
	print(resp)
	
	

while True:
#    for probe in range(30,35):
	nowtime = datetime.datetime.utcnow()
	rtcset(254, nowtime)
	time.sleep(2)
	

#timestamp_full = resp[10]

#print(timestamp_full)

#ts = timestamp_full.split("\t")[1]

#print ts


